=UTF-8
Content-Disposition: inline; filename="1ddfdc55dd01e8b9739f0754a496efabfd4a3ff1..41c91391fce65147aa7f3b5ceb7db5758709199a.patch"
Last-Modified: Sat, 22 Feb 2025 04:59:34 GMT
Expires: Tue, 20 Feb 2035 04:59:34 GMT

t - modified minetest for gpcfs purposes</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='index, nofollow'/>
<link rel='stylesheet' type='text/css' href='/static/cgit.css'/>
<link rel='shortcut icon' href='//bananach.space/favicon.png'/>
<link rel='alternate' title='Atom feed' href='https://git.bananach.space/minetest.git/atom/.github/workflows/cpp_lint.yml?h=gpcf' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='//bananach.space/bananach.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/minetest.git/'>minetest.git</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='ffe56c572fa81f3c7cbfb7ffe6014fafd3526760'/><select name='h' onchange='this.form.submit();'>
<option value='gpcf' selected='selected'>gpcf</option>
<option value='lifo-fixes'>lifo-fixes</option>
<option value='release'>release</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>modified minetest for gpcfs purposes</td><td class='sub right'>gpcf</td></tr></table>
<table class='tabs'><tr><td>
<a href='/minetest.git/about/?h=gpcf'>about</a><a href='/minetest.git/?h=gpcf'>summary</a><a href='/minetest.git/refs/?h=gpcf&amp;id=ffe56c572fa81f3c7cbfb7ffe6014fafd3526760'>refs</a><a href='/minetest.git/log/.github/workflows/cpp_lint.yml?h=gpcf'>log</a><a class='active' href='/minetest.git/tree/.github/workflows/cpp_lint.yml?h=gpcf&amp;id=ffe56c572fa81f3c7cbfb7ffe6014fafd3526760'>tree</a><a href='/minetest.git/commit/.github/workflows/cpp_lint.yml?h=gpcf&amp;id=ffe56c572fa81f3c7cbfb7ffe6014fafd3526760'>commit</a><a href='/minetest.git/diff/.github/workflows/cpp_lint.yml?h=gpcf&amp;id=ffe56c572fa81f3c7cbfb7ffe6014fafd3526760'>diff</a></td><td class='form'><form class='right' method='get' action='/minetest.git/log/.github/workflows/cpp_lint.yml'>
<input type='hidden' name='h' value='gpcf'/><input type='hidden' name='id' value='ffe56c572fa81f3c7cbfb7ffe6014fafd3526760'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/minetest.git/tree/?h=gpcf&amp;id=ffe56c572fa81f3c7cbfb7ffe6014fafd3526760'>root</a>/<a href='/minetest.git/tree/.github?h=gpcf&amp;id=ffe56c572fa81f3c7cbfb7ffe6014fafd3526760'>.github</a>/<a href='/minetest.git/tree/.github/workflows?h=gpcf&amp;id=ffe56c572fa81f3c7cbfb7ffe6014fafd3526760'>workflows</a>/<a href='/minetest.git/tree/.github/workflows/cpp_lint.yml?h=gpcf&amp;id=ffe56c572fa81f3c7cbfb7ffe6014fafd3526760'>cpp_lint.yml</a></div><div class='content'>blob: 1f97d105aae8a15ef5eb53e2feb436d61b19d978 (<a href='/minetest.git/plain/.github/workflows/cpp_lint.yml?h=gpcf&amp;id=ffe56c572fa81f3c7cbfb7ffe6014fafd3526760'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
<a id='n24' href='#n24'>24</a>
<a id='n25' href='#n25'>25</a>
<a id='n26' href='#n26'>26</a>
<a id='n27' href='#n27'>27</a>
<a id='n28' href='#n28'>28</a>
<a id='n29' href='#n29'>29</a>
<a id='n30' href='#n30'>30</a>
<a id='n31' href='#n31'>31</a>
<a id='n32' href='#n32'>32</a>
<a id='n33' href='#n33'>33</a>
<a id='n34' href='#n34'>34</a>
<a id='n35' href='#n35'>35</a>
<a id='n36' href='#n36'>36</a>
<a id='n37' href='#n37'>37</a>
<a id='n38' href='#n38'>38</a>
<a id='n39' href='#n39'>39</a>
<a id='n40' href='#n40'>40</a>
<a id='n41' href='#n41'>41</a>
<a id='n42' href='#n42'>42</a>
<a id='n43' href='#n43'>43</a>
<a id='n44' href='#n44'>44</a>
<a id='n45' href='#n45'>45</a>
<a id='n46' href='#n46'>46</a>
<a id='n47' href='#n47'>47</a>
<a id='n48' href='#n48'>48</a>
<a id='n49' href='#n49'>49</a>
<a id='n50' href='#n50'>50</a>
<a id='n51' href='#n51'>51</a>
<a id='n52' href='#n52'>52</a>
<a id='n53' href='#n53'>53</a>
<a id='n54' href='#n54'>54</a>
</pre></td>
<td class='lines'><pre><code><span class="hl kwa">name:</span> cpp_lint

<span class="hl slc"># lint on c/cpp changes or workflow changes</span>
<span class="hl kwa">on:</span>
  <span class="hl kwa">push:</span>
    <span class="hl kwa">paths:</span>
      - <span class="hl str">&apos;lib/**.[ch]&apos;</span>
      - <span class="hl str">&apos;lib/**.cpp&apos;</span>
      - <span class="hl str">&apos;src/**.[ch]&apos;</span>
      - <span class="hl str">&apos;src/**.cpp&apos;</span>
      - <span class="hl str">&apos;**/CMakeLists.txt&apos;</span>
      - <span class="hl str">&apos;cmake/Modules/**&apos;</span>
      - <span class="hl str">&apos;util/ci/**&apos;</span>
      - <span class="hl str">&apos;.github/workflows/**.yml&apos;</span>
  <span class="hl kwa">pull_request:</span>
    <span class="hl kwa">paths:</span>
      - <span class="hl str">&apos;lib/**.[ch]&apos;</span>
      - <span class="hl str">&apos;lib/**.cpp&apos;</span>
      - <span class="hl str">&apos;src/**.[ch]&apos;</span>
      - <span class="hl str">&apos;src/**.cpp&apos;</span>
      - <span class="hl str">&apos;**/CMakeLists.txt&apos;</span>
      - <span class="hl str">&apos;cmake/Modules/**&apos;</span>
      - <span class="hl str">&apos;util/ci/**&apos;</span>
      - <span class="hl str">&apos;.github/workflows/**.yml&apos;</span>

<span class="hl kwa">jobs:</span>
  <span class="hl kwa">clang_format:</span>
    runs-<span class="hl kwa">on:</span> ubuntu-<span class="hl num">18.04</span>
    <span class="hl kwa">steps:</span>
      - <span class="hl kwa">uses:</span> actions/checkout&#64;v<span class="hl num">2</span>
      - <span class="hl kwa">name:</span> Install clang-format
        <span class="hl kwa">run:</span> <span class="hl opt">|</span>
          <span class="hl kwb">sudo</span> <span class="hl kwc">apt</span>-get install clang-format-<span class="hl num">9</span> -qyy

      - <span class="hl kwa">name:</span> Run clang-format
        <span class="hl kwa">run:</span> <span class="hl opt">|</span>
          source ./util/ci/lint.sh
          perform_lint
        <span class="hl kwa">env:</span>
          <span class="hl kwa">CLANG_FORMAT:</span> clang-format-<span class="hl num">9</span>

  <span class="hl kwa">clang_tidy:</span>
    runs-<span class="hl kwa">on:</span> ubuntu-<span class="hl num">18.04</span>
    <span class="hl kwa">steps:</span>
    - <span class="hl kwa">uses:</span> actions/checkout&#64;v<span class="hl num">2</span>
    - <span class="hl kwa">name:</span> Install deps
      <span class="hl kwa">run:</span> <span class="hl opt">|</span>
        <span class="hl kwb">sudo</span> <span class="hl kwc">apt</span>-get install clang-tidy-<span class="hl num">9</span> -qyy
        source ./util/ci/common.sh
        install_linux_deps

    - <span class="hl kwa">name:</span> Run clang-tidy
      <span class="hl kwa">run:</span> <span class="hl opt">|</span>
        ./util/ci/clang-tidy.sh
</code></pre></td></tr></table>
</div> <!-- class=content -->
<div class='footer'>generated by <a href='https://git.zx2c4.com/cgit/about/'>cgit v1.2.3</a> (<a href='https://git-scm.com/'>git 2.39.1</a>) at 2025-02-22 04:59:34 +0000</div>
</div> <!-- id=cgit -->
</body>
</html>
